Loading...
Searching...
No Matches
pcl::_PointWithRange Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithRange:

## Public Attributes

union { |
struct { |
float range |
} |
float data_c [4] |
}; |

## Detailed Description

Definition at line 1039 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::_PointWithRange

## data_c

float pcl::_PointWithRange::data_c[4]

Definition at line 1048 of file point_types.hpp.

## range

float pcl::_PointWithRange::range

Definition at line 1046 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::add(), pcl::RangeImage::calculate3DPoint(), pcl::RangeImage::calculate3DPoint(), pcl::RangeImage::calculate3DPoint(), pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::get(), pcl::RangeImage::get1dPointAverage(), pcl::RangeImageBorderExtractor::get3dDirection(), pcl::RangeImage::getCurvature(), pcl::RangeImage::getEuclideanDistanceSquared(), pcl::RangeImage::getImpactAngle(), pcl::RangeImageBorderExtractor::getNeighborDistanceChangeScore(), pcl::RangeImage::getNormal(), pcl::RangeImage::getRangeDifference(), pcl::RangeImage::getSquaredDistanceOfNthNeighbor(), pcl::RangeImage::integrateFarRanges(), pcl::RangeImage::isMaxRange(), pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::operator()(), pcl::PointWithRange::PointWithRange(), and pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::set().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp